Bug 1469772 - on rhel6, nodejs010-c-ares provides libcares.so.2()(64bit) conflicting with the c-ares package
on rhel6, nodejs010-c-ares provides libcares.so.2()(64bit) conflicting with t...
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: nodejs010 (Show other bugs)
unspecified
All Linux
unspecified Severity medium
: alpha
: 3.0
Assigned To: Zuzana Svetlikova
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 15:44 EDT by Paulo Andrade
Modified: 2017-07-26 10:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 10:32:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2017-07-11 15:44:39 EDT
It installs:

/opt/rh/nodejs010/root/usr/lib64/libcares.so.2
/opt/rh/nodejs010/root/usr/lib64/libcares.so.2.0.0

but causes packages depending only on libcares.so.2()(64bit)
to not install c-ares, that installs:

/usr/lib64/libcares.so.2
/usr/lib64/libcares.so.2.1.0

and provides libcares.so.2()(64bit)

  One example problem is that installing nodejs010-c-ares
and then sssd has the side effect of sssd not installing
c-ares.
Comment 2 Zuzana Svetlikova 2017-07-12 03:02:54 EDT
nodejs010 has been EOL for ages and this bug is fixed in newer releases.

Note You need to log in before you can comment on or make changes to this bug.